##
## THIS FILE IS UNDER PUPPET CONTROL. DON'T EDIT IT HERE.
## USE: git clone git+ssh://$USER@puppet.debian.org/srv/puppet.debian.org/git/dsa-puppet.git
##

<%=
nodeinfo = scope.lookupvar('deprecated::nodeinfo')
out = []

restricted_purposes = ['kvm host', 'ganeti/kvm host', 'central syslog server', 'puppet master', 'jumphost', 'buildd', 'static-mirror', 'cdn backend', 'mail relay', 'backup storage', 'piuparts server', 'piuparts runner']
restrict_ssh_hosts = []

unless nodeinfo['ldap']['purpose'].to_a.empty? then
	nodeinfo['ldap']['purpose'].each do |purp|
		if restricted_purposes.include?(purp) then
			restrict_ssh_hosts << @hostname
		end
	end
end

sshallowed = []

if @ssh_open_to_world == "maybe"
  should_restrict = restrict_ssh_hosts.include?(@hostname)
elsif @ssh_open_to_world
  should_restrict = false
else
  should_restrict = true
end

if should_restrict then
	# draghi makes for a nice jumphost
	sshallowed << %w{$DSA_IPS $draghi}

	if %w{draghi}.include?(@hostname) then
		sshallowed << '$HOST_DEBIAN'
	end

	if %w{adayevskaya}.include?(@hostname) then
		out << '@def $MFL_LOCAL = ( 130.83.226.60 );' # Michael Fladerer
		sshallowed << '$MFL_LOCAL'
		sshallowed << %w{$HOST_DEBIAN}
        end

	if %w{zandonai zelenka}.include?(@hostname) then
		out << '@def $ZIVIT_LOCAL = ( 169.254.115.0/24 );' # Zivit admin network
		sshallowed << '$ZIVIT_LOCAL'
		sshallowed << %w{$HOST_DEBIAN}
	end

	if %w{prokofiev}.include?(@hostname) then
		out << '@def $PROKOFIEV_OOB = ( 10.0.0.0/8 );' # oob interface and the wireguards behind the mikrotiks
		sshallowed << '$PROKOFIEV_OOB'
		sshallowed << %w{$HOST_DEBIAN}
        end
end
if sshallowed.length == 0 then
  sshallowed << '0.0.0.0/0'
  sshallowed << '::/0'
end

out << "@def $SSH_SOURCES    = ( $SSH_SOURCES    #{sshallowed.join(' ')});"


out.join("\n")
%>
